R_TEST_INPUT_EVENT(3)

FUNCTION
r_test_input_event - Test for activity on a connection.

SYNOPSIS
#include <karma_r.h>

flag r_test_input_event

(int connection)

DESCRIPTION
This routine will test if there is input activity on a connection. This activity also covers the case of connection closure. The connection descriptor must be given by connection .

RETURN VALUE
TRUE if there is some input activity, else FALSE.

Multi-threading Level
Unsafe.

NOTE
This routine is only available on platforms which emulate the communications facilities of Unix. It is NOT available on standard Unix systems.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/